unit ListeEdit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Grids;

type

  { TListeEditForm }

  TListeEditForm = class(TForm)
    BTOK: TButton;
    Button2: TButton;
    BTAbbrechen: TButton;
    LoeschenGrid: TStringGrid;
    procedure BTOKClick(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    LoeschList : TStringList;
    OKEdit   : Boolean;
  end;

var
  ListeEditForm: TListeEditForm;

implementation

{$R *.lfm}

{ TListeEditForm }

procedure TListeEditForm.FormShow(Sender: TObject);
var
  n     : integer;
  Zeile : TStringList;
begin
  OKEdit := false;
  LoeschenGrid.ColWidths[0]:=LoeschenGrid.width-2;
  LoeschenGrid.Cells[0,0]:='Pfad';
  if LoeschList.Count>0 then
    Begin
      LoeschenGrid.rowCount := LoeschList.count+1;
      Zeile := TStringList.create;
      for n := 1 to LoeschList.Count do
        Begin
          Zeile.Commatext := LoeschList[n-1];
          if Zeile.count >0 then
            Begin
              LoeschenGrid.cells[0,n] := Zeile[0];
            end;
        end;
      Zeile.free
     end
  else
    Begin
      LoeschenGrid.RowCount:=1;
    end;
end;


procedure TListeEditForm.Button2Click(Sender: TObject);
begin
  LoeschenGrid.RowCount := LoeschenGrid.RowCount +1 ;
end;

procedure TListeEditForm.BTOKClick(Sender: TObject);
Var
    n    : integer;
    Pfad : String;
    CanClose : Boolean;
begin
  CanClose := True;
  if LoeschenGrid.RowCount>1 then
    for n := 1 to LoeschenGrid.RowCount-1 do
      Begin
        Pfad := LoeschenGrid.Cells[0,n];
        if Pfad <>'' then
          Begin
            if (Pfad[1]<> '/') then
            Begin
              ShowMessage('Bitte absolute Pfade mit führendem "/" eingeben.');
              canClose := false;
            end;
            if (Pos(',',Pfad)>0) then
              Begin
                ShowMessage('Bitte keine Kommas verwenden.');
                CanClose := false;
              end;
          end;
      end;
  if CanClose then
    Begin
      OKedit := True;
      Close;
    end;
end;




end.

